import { createAction } from '@reduxjs/toolkit';
import { TPinnedMessages } from '../../../typescript/redux/pinnedMessages/types'

const actionGetPinnedMessagesSuccess = createAction('getPinnedMessages/success', (value:TPinnedMessages) => ({
  payload: value,
}));

const actionGetPinnedMessagesReject = createAction('getPinnedMessages/reject', () => ({
  payload: null,
}));


export {
  actionGetPinnedMessagesSuccess,
  actionGetPinnedMessagesReject,
};
