import { createSelector } from 'reselect';
import { IState } from '../../../typescript/redux/interfaces'

const getPinnedMessages = (state: IState) => state.pinnedMessages;
const getState = (state: IState) => state.pinnedMessages;
const getPinnedMessagesMemo = createSelector([getPinnedMessages], pinnedMessages => pinnedMessages);

export { getPinnedMessages,getState,getPinnedMessagesMemo };
